Index: MpiwgXmlTextServer.py
===================================================================
--- MpiwgXmlTextServer.py	(revision 576)
+++ MpiwgXmlTextServer.py	(revision 577)
@@ -160,5 +160,4 @@
                             
                         docinfo['pageNumbers'] = pages
-                        logging.debug("got pageNumbers=%s"%repr(pages))
                                     
                     # toc
@@ -296,4 +295,9 @@
                 if punditMode:
                     self._addPunditAttributes(pagediv, pageinfo, docinfo)
+                    
+                # TODO: move empty page text
+                ep = dom.find(".//div[@class='emptyPage']")
+                if ep is not None:
+                    pagediv.append(ep)
                  
                 s = serialize(pagediv)
@@ -545,8 +549,4 @@
             start = (pn - 1) * size
 
-        #fullresult = ET.fromstring(resultxml)
-        #fullresult = resultxml
-        #logging.debug("resultxml=%s"%repr(resultxml))
-        
         if resultxml is not None:
             # paginate
@@ -554,7 +554,4 @@
             last = first+size
             tocdivs = resultxml[first:last]
-            #del fullresult[:first]
-            #del fullresult[len:]
-            #tocdivs = fullresult
             
             toc = ET.Element('div', attrib={'class':'queryResultPage'})
@@ -621,4 +618,5 @@
         tocs = fulltoc[first:last]
         tp = '<div>'
+        label = {'figures': 'Figure', 'handwritten': 'Handwritten note'}.get(mode, 'Item')
         for toc in tocs:
             pageurl = self.getLink('pn', toc['pn'])
@@ -628,5 +626,5 @@
                 tp += '<div class="toc name">[%s] %s</div>'%(toc['level-string'], toc['content'])
             else:
-                tp += '<div class="toc name">[Figure %s]</div>'%(toc['level-string'])
+                tp += '<div class="toc name">[%s %s]</div>'%(label, toc['level-string'])
             
             if toc.get('no', None):
@@ -659,6 +657,5 @@
 
 def manage_addMpiwgXmlTextServer(self,id,title="",serverUrl="http://mpdl-text.mpiwg-berlin.mpg.de/mpdl/interface/",timeout=40,RESPONSE=None):
-#def manage_addMpiwgXmlTextServer(self,id,title="",serverUrl="http://mpdl-text.mpiwg-berlin.mpg.de:30030/mpdl/interface/",timeout=40,RESPONSE=None):    
-    """add zogiimage"""
+    """add MpiwgXmlTextServer"""
     newObj = MpiwgXmlTextServer(id=id,title=title,serverUrl=serverUrl,timeout=timeout)
     self.Destination()._setObject(id, newObj)
Index: css/docuviewer.css
===================================================================
--- css/docuviewer.css	(revision 576)
+++ css/docuviewer.css	(revision 577)
@@ -99,5 +99,5 @@
     -o-transform-origin: top left;
 	left: 7px;
-    top: 32em;
+    top: 34em;
     width: 40em;
     padding: 0px;
@@ -269,25 +269,4 @@
     margin-bottom: 0.25em;
 }
-/* normalization forms *
-div.col.main div.content.text div.text.orig span.w span.reg,
-div.col.main div.content.text div.text.orig span.w span.norm {
-    display: none;
-}
-div.col.main div.content.text div.text.reg span.w span.orig,
-div.col.main div.content.text div.text.reg span.w span.norm {
-    display: none;
-}
-div.col.main div.content.text div.text.norm span.w span.orig,
-div.col.main div.content.text div.text.norm span.w span.reg {
-    display: none;
-}
-/* dictionary forms *
-div.col.main div.content.text div.text.plain span.w a.dictionary {
-    display: none;
-}
-div.col.main div.content.text div.text.dict span.w span.nodictionary {
-    display: none;
-} 
-*/
 /* page break */
 div.col.main div.content.text span.pb span.n,
@@ -311,4 +290,18 @@
 }
 div.col.main div.content.text span.note span.noteSign {
+    display: none;
+    /* font-size: 70%;
+	vertical-align: super; */
+}
+/* handwritten */
+div.col.main div.content.text span.handwritten {
+	display: block;
+	/* float: left; */
+    margin-top: 0.5em;
+    margin-bottom: 0.5em;
+    padding: 5px;
+    border: 1px dashed silver;	
+}
+div.col.main div.content.text span.handwritten span.figureNum {
     display: none;
     /* font-size: 70%;
Index: documentViewer.py
===================================================================
--- documentViewer.py	(revision 571)
+++ documentViewer.py	(revision 577)
@@ -150,4 +150,5 @@
     toc_figures = PageTemplateFile('zpt/toc_figures', globals())
     toc_concordance = PageTemplateFile('zpt/toc_concordance', globals())
+    toc_handwritten = PageTemplateFile('zpt/toc_handwritten', globals())
     toc_none = PageTemplateFile('zpt/toc_none', globals())
     # other templates
Index: zpt/common_template.zpt
===================================================================
--- zpt/common_template.zpt	(revision 571)
+++ zpt/common_template.zpt	(revision 577)
@@ -113,4 +113,7 @@
             tal:condition="python:docpath and docinfo.get('pageNumbers', None)"><span><a
               tal:omit-tag="python:tocMode=='concordance'" tal:attributes="href python:here.getLink('tocMode','concordance')">Concordance</a></span></li>
+          <li tal:attributes="class python:here.getStyle(tocMode, 'handwritten')"
+            tal:condition="python:docpath and docinfo.get('numHandwritten', None)"><span><a
+              tal:omit-tag="python:tocMode=='handwritten'" tal:attributes="href python:here.getLink('tocMode','handwritten')">Notes</a></span></li>
           <li tal:attributes="class python:here.getStyle(tocMode, 'figures')"
             tal:condition="python:docpath and docinfo.get('numFigureEntries', None)"><span><a
Index: zpt/toc_handwritten.zpt
===================================================================
--- zpt/toc_handwritten.zpt	(revision 577)
+++ zpt/toc_handwritten.zpt	(revision 577)
@@ -0,0 +1,27 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+</head>
+<body>
+  <div class="toc-container" metal:define-macro="main">
+    <div metal:use-macro="here/template/common_template/macros/toc_switcher" />
+    <!-- block used for main content area -->
+    <div class="tocbody figures"
+      tal:define="start pageinfo/start; tocsize docinfo/numHandwritten; grpsize pageinfo/tocPageSize;
+                batch python:here.getBatch(start=start,size=grpsize,end=tocsize);">
+      <h4>Table of handwritten notes</h4>
+      <div class="ruler top">
+        <metal:block metal:use-macro="here/template/common_template/macros/toc_ruler" />
+      </div>
+      <div class="content"
+        tal:content="structure python:here.getTocPage(mode='handwritten',start=start,pageinfo=pageinfo,docinfo=docinfo)" />
+      <div class="ruler bottom">
+        <metal:block metal:use-macro="here/template/common_template/macros/toc_ruler" />
+      </div>
+    </div>
+  </div>
+  <!-- /toc -->
+</body>
+</html>